<?php
namespace Modules\Invoices\Payments\Management;

class View_Insert extends \App\Mvc\View_Popup_Entity_GeneralAbstract
{
	/**
	 * The rendering Smarty template file.
	 * @var String
	 */
	protected $renderingTemplate=null;


	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::render_prepare()
	 */
	protected function render_prepare($smarty)
	{
		$invEnt = \Entity\SupplierInvoice::select( $this->input['formData']['idInvoice'] );

		$this->setPageTitle(sprintf($this->lang['insert']['pageTitle'], sprintf("%s / %s (%s)", $invEnt->invoiceNumber, $invEnt->invoiceDate, $invEnt->supplier->alias)));
		$this->setOutputVar('idImportedDocument', $this->input['formData']['idImportedDocument']);

		return parent::render_prepare($smarty);
	}

}